package de.ivu.elect.business.dokumente.entity;

public enum  DokumentVorlageAnlageArt {

  EINZEL_DATEI {
    @Override
    public boolean isAusAnwendung() {
      return false;
    }

    @Override
    public boolean isAktualisierenBeiManuellemUploadVonArchiv() {
      return false;
    }

    @Override
    public boolean isZuExportieren() {
      return true;
    }
  },

  ARCHIV {
    @Override
    public boolean isAusAnwendung() {
      return false;
    }

    @Override
    public boolean isAktualisierenBeiManuellemUploadVonArchiv() {
      return true;
    }

    @Override
    public boolean isZuExportieren() {
      return true;
    }
  },
  AUS_ANWENDUNG {
    @Override
    public boolean isAusAnwendung() {
      return true;
    }

    @Override
    public boolean isAktualisierenBeiManuellemUploadVonArchiv() {
      return true;
    }

    @Override
    public boolean isZuExportieren() {
      return false; // ELECT-9074
    }
  },
  FIXIERT {
    @Override
    public boolean isAusAnwendung() {
      return false;
    }

    @Override
    public boolean isAktualisierenBeiManuellemUploadVonArchiv() {
      return false;
    }

    @Override
    public boolean isZuExportieren() {
      return true;
    }
  };

  public abstract boolean isAusAnwendung();

  public abstract boolean isAktualisierenBeiManuellemUploadVonArchiv();

  public abstract boolean isZuExportieren(); // ELECT-9074
}


